# Note that this is NOT a relocatable package
%define ver      1.0.1
%define rel      6
%define prefix   /usr

Summary: GNOME utility programs such as calendar and calculator.
Name: gnome-utils
Version: %ver
Release: %rel
Copyright: LGPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{ver}.tar.gz
BuildRoot: /var/tmp/gnome-utils-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org

Patch: gnome-utils-1.0.1-fixdistr.patch
Patch2:gnome-utils-1.0.1-sparkle.patch
Patch3:gnome-utils-1.0.1-quiet.patch

Docdir: %{prefix}/doc

%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

This package will install some GNOME utilities, such as the
calendar and calculator.

%changelog

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree

%prep
%setup -q

%patch -p1 -b .fixdistr
%patch2 -p1 -b .sparkle
%patch3 -p1 -b .quiet

%build

CFLAGS="$RPM_OPT_FLAGS -DWITH_SPARKLES" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

# sorry alan, new users will never get rid of this :)
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Utilities/gpenguin.desktop 

# gshutdown isn't what we want at this time
rm -f $RPM_BUILD_ROOT%{prefix}/bin/gshutdown
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/*/gshutdown.desktop
rm -rf $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gshutdown

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/man/*/*

%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnome/*
%{prefix}/share/gstripchart/*
